Subject: Re: [PATCH v2] completion: hide dotfiles for selected path completion

From: Junio C Hamano <[email-masked]>
Date: Wed, 27 May 2026 12:22:00 +0900

"Zakariyah Ali via GitGitGadget" <[email-masked]> writes:

> This matches standard shell filename completion behavior, where dotfiles
> are hidden by default unless the user starts their input with a dot.

OK, with this rationale added, I no longer have problem with the
proposed new behaviour.

As I'm not going to give a serious review  on the patch body itself,
I would really appreciate somebody more knowledgeable on the
existing bach completion code than I am to take a look.

Thanks.